' Thanks to Michael Henning, who ported the original PowerBASIC include file to rmchartbcx.inc. 

' Color constants
CONST ColorAliceBlue             = 0xFFF0F8FF
CONST ColorAntiqueWhite          = 0xFFFAEBD7
CONST ColorAquamarine            = 0xFF7FFFD4
CONST ColorArmyGreen             = 0xFF669966
CONST ColorAutumnOrange          = 0xFFFF6633
CONST ColorAvocadoGreen          = 0xFF669933
CONST ColorAzure                 = 0xFFF0FFFF
CONST ColorBabyBlue              = 0xFF6699FF
CONST ColorBananaYellow          = 0xFFCCCC33
CONST ColorBeige                 = 0xFFF5F5DC
CONST ColorBisque                = 0xFFFFE4C4
CONST ColorBlack                 = 0xFF000000
CONST ColorBlanchedAlmond        = 0xFFFFEBCD
CONST ColorBlue                  = 0xFF0000FF
CONST ColorBlueViolet            = 0xFF8A2BE2
CONST ColorBrown                 = 0xFFA52A2A
CONST ColorBurlyWood             = 0xFFDEB887
CONST ColorCadetBlue             = 0xFF5F9EA0
CONST ColorChalk                 = 0xFFFFFF99
CONST ColorChartreuse            = 0xFF7FFF00
CONST ColorChocolate             = 0xFFD2691E
CONST ColorCoral                 = 0xFFFF7F50
CONST ColorCornflowerBlue        = 0xFF6495ED
CONST ColorCornsilk              = 0xFFFFF8DC
CONST ColorCrimson               = 0xFFDC143C
CONST ColorCyan                  = 0xFF00FFFF
CONST ColorDarkBlue              = 0xFF00008B
CONST ColorDarkBrown             = 0xFF663333
CONST ColorDarkCrimson           = 0xFF993366
CONST ColorDarkCyan              = 0xFF008B8B
CONST ColorDarkGold              = 0xFFCC9933
CONST ColorDarkGoldenrod         = 0xFFB8860B
CONST ColorDarkGray              = 0xFFA9A9A9
CONST ColorDarkGreen             = 0xFF006400
CONST ColorDarkKhaki             = 0xFFBDB76B
CONST ColorDarkMagenta           = 0xFF8B008B
CONST ColorDarkOliveGreen        = 0xFF556B2F
CONST ColorDarkOrange            = 0xFFFF8C00
CONST ColorDarkOrchid            = 0xFF9932CC
CONST ColorDarkRed               = 0xFF8B0000
CONST ColorDarkSalmon            = 0xFFE9967A
CONST ColorDarkSeaGreen          = 0xFF8FBC8B
CONST ColorDarkSlateBlue         = 0xFF483D8B
CONST ColorDarkSlateGray         = 0xFF2F4F4F
CONST ColorDarkTurquoise         = 0xFF00CED1
CONST ColorDarkViolet            = 0xFF9400D3
CONST ColorDeepAzure             = 0xFF6633FF
CONST ColorDeepPink              = 0xFFFF1493
CONST ColorDeepPurple            = 0xFF330066
CONST ColorDeepRiver             = 0xFF6600CC
CONST ColorDeepRose              = 0xFFCC3399
CONST ColorDeepSkyBlue           = 0xFF00BFFF
CONST ColorDefault               = 0
CONST ColorDeepYellow            = 0xFFFFCC00
CONST ColorDesertBlue            = 0xFF336699
CONST ColorDimGray               = 0xFF696969
CONST ColorDodgerBlue            = 0xFF1E90FF
CONST ColorDullGreen             = 0xFF99CC66
CONST ColorEasterPurple          = 0xFFCC99FF
CONST ColorFadeGreen             = 0xFF99CC99
CONST ColorFirebrick             = 0xFFB22222
CONST ColorFloralWhite           = 0xFFFFFAF0
CONST ColorForestGreen           = 0xFF228B22
CONST ColorGainsboro             = 0xFFDCDCDC
CONST ColorGhostGreen            = 0xFFCCFFCC
CONST ColorGhostWhite            = 0xFFF8F8FF
CONST ColorGold                  = 0xFFFFD700
CONST ColorGoldenrod             = 0xFFDAA520
CONST ColorGrape                 = 0xFF663399
CONST ColorGrassGreen            = 0xFF009933
CONST ColorGray                  = 0xFF808080
CONST ColorGreen                 = 0xFF008000
CONST ColorGreenYellow           = 0xFFADFF2F
CONST ColorHoneydew              = 0xFFF0FFF0
CONST ColorHotPink               = 0xFFFF69B4
CONST ColorIndianRed             = 0xFFCD5C5C
CONST ColorIndigo                = 0xFF4B0082
CONST ColorIvory                 = 0xFFFFFFF0
CONST ColorKentuckyGreen         = 0xFF339966
CONST ColorKhaki                 = 0xFFF0E68C
CONST ColorLavender              = 0xFFE6E6FA
CONST ColorLavenderBlush         = 0xFFFFF0F5
CONST ColorLawnGreen             = 0xFF7CFC00
CONST ColorLemonChiffon          = 0xFFFFFACD
CONST ColorLightBlue             = 0xFFADD8E6
CONST ColorLightCoral            = 0xFFF08080
CONST ColorLightCyan             = 0xFFE0FFFF
CONST ColorLightGoldenrod        = 0xFFEEDD82
CONST ColorLightGoldenrodYellow  = 0xFFFAFAD2
CONST ColorLightGray             = 0xFFD3D3D3
CONST ColorLightGreen            = 0xFF90EE90
CONST ColorLightOrange           = 0xFFFF9933
CONST ColorLightPink             = 0xFFFFB6C1
CONST ColorLightSalmon           = 0xFFFFA07A
CONST ColorLightSeaGreen         = 0xFF20B2AA
CONST ColorLightSkyBlue          = 0xFF87CEFA
CONST ColorLightSlateGray        = 0xFF778899
CONST ColorLightSteelBlue        = 0xFFB0C4DE
CONST ColorLightViolet           = 0xFFFF99FF
CONST ColorLightYellow           = 0xFFFFFFE0
CONST ColorLime                  = 0xFF00FF00
CONST ColorLimeGreen             = 0xFF32CD32
CONST ColorLinen                 = 0xFFFAF0E6
CONST ColorMagenta               = 0xFFFF00FF
CONST ColorMaroon                = 0xFF800000
CONST ColorMartianGreen          = 0xFF99CC33
CONST ColorMediumAquamarine      = 0xFF66CDAA
CONST ColorMediumBlue            = 0xFF0000CD
CONST ColorMediumOrchid          = 0xFFBA55D3
CONST ColorMediumPurple          = 0xFF9370DB
CONST ColorMediumSeaGreen        = 0xFF3CB371
CONST ColorMediumSlateBlue       = 0xFF7B68EE
CONST ColorMediumSpringGreen     = 0xFF00FA9A
CONST ColorMediumTurquoise       = 0xFF48D1CC
CONST ColorMediumVioletRed       = 0xFFC71585
CONST ColorMidnightBlue          = 0xFF191970
CONST ColorMintCream             = 0xFFF5FFFA
CONST ColorMistyRose             = 0xFFFFE4E1
CONST ColorMoccasin              = 0xFFFFE4B5
CONST ColorMoonGreen             = 0xFFCCFF66
CONST ColorMossGreen             = 0xFF336666
CONST ColorNavajoWhite           = 0xFFFFDEAD
CONST ColorNavy                  = 0xFF000080
CONST ColorOceanGreen            = 0xFF669999
CONST ColorOldLace               = 0xFFFDF5E6
CONST ColorOlive                 = 0xFF808000
CONST ColorOliveDrab             = 0xFF6B8E23
CONST ColorOrange                = 0xFFFFA500
CONST ColorOrangeRed             = 0xFFFF4500
CONST ColorOrchid                = 0xFFDA70D6
CONST ColorPaleGoldenrod         = 0xFFEEE8AA
CONST ColorPaleGreen             = 0xFF98FB98
CONST ColorPaleTurquoise         = 0xFFAFEEEE
CONST ColorPaleVioletRed         = 0xFFDB7093
CONST ColorPaleYellow            = 0xFFFFFFCC
CONST ColorPapayaWhip            = 0xFFFFEFD5
CONST ColorPeachPuff             = 0xFFFFDAB9
CONST ColorPeru                  = 0xFFCD853F
CONST ColorPink                  = 0xFFFFC0CB
CONST ColorPlum                  = 0xFFDDA0DD
CONST ColorPowderBlue            = 0xFFB0E0E6
CONST ColorPurple                = 0xFF800080
CONST ColorRed                   = 0xFFFF0000
CONST ColorRosyBrown             = 0xFFBC8F8F
CONST ColorRoyalBlue             = 0xFF4169E1
CONST ColorSaddleBrown           = 0xFF8B4513
CONST ColorSalmon                = 0xFFFA8072
CONST ColorSand                  = 0xFFFFCC99
CONST ColorSandyBrown            = 0xFFF4A460
CONST ColorSeaGreen              = 0xFF2E8B57
CONST ColorSeaShell              = 0xFFFFF5EE
CONST ColorSienna                = 0xFFA0522D
CONST ColorSilver                = 0xFFC0C0C0
CONST ColorSkyBlue               = 0xFF87CEEB
CONST ColorSlateBlue             = 0xFF6A5ACD
CONST ColorSlateGray             = 0xFF708090
CONST ColorSnow                  = 0xFFFFFAFA
CONST ColorSpringGreen           = 0xFF00FF7F
CONST ColorSteelBlue             = 0xFF4682B4
CONST ColorTan                   = 0xFFD2B48C
CONST ColorTeal                  = 0xFF008080
CONST ColorThistle               = 0xFFD8BFD8
CONST ColorTomato                = 0xFFFF6347
CONST ColorTransparent           = 0xFFFFFFFE
CONST ColorTropicalPink          = 0xFFFF6666
CONST ColorTurquoise             = 0xFF40E0D0
CONST ColorViolet                = 0xFFEE82EE
CONST ColorVioletRed             = 0xFFD02090
CONST ColorWalnut                = 0xFF663300
CONST ColorWheat                 = 0xFFF5DEB3
CONST ColorWhite                 = 0xFFFFFFFF
CONST ColorWhiteSmoke            = 0xFFF5F5F5
CONST ColorYellow                = 0xFFFFFF00
CONST ColorYellowGreen           = 0xFF9ACD32


' No data symbol
CONST RMC_NO_DATA    = 0xC521974F    


' Control styles
CONST RMC_CTRLSTYLEFLAT         = 0
CONST RMC_CTRLSTYLEFLATSHADOW   = 1
CONST RMC_CTRLSTYLE3D           = 2
CONST RMC_CTRLSTYLE3DLIGHT      = 3
CONST RMC_CTRLSTYLEIMAGE        = 4
CONST RMC_CTRLSTYLEIMAGETILED   = 5

'Chart types
CONST RMC_BARSINGLE            = 1
CONST RMC_BARGROUP             = 2
CONST RMC_BARSTACKED           = 3
CONST RMC_BARSTACKED100        = 4
CONST RMC_FLOATINGBAR          = 5
CONST RMC_FLOATINGBARGROUP     = 6
CONST RMC_LINE                 = 21
CONST RMC_AREA                 = 22
CONST RMC_LINE_INDEXED         = 23
CONST RMC_AREA_INDEXED         = 24
CONST RMC_AREA_STACKED         = 25
CONST RMC_AREA_STACKED100      = 26
CONST RMC_LINE_STACKED         = 27
CONST RMC_LINE_STACKED100      = 28
CONST RMC_VOLUMEBAR            = 31
CONST RMC_HIGHLOW              = 41
CONST RMC_GRIDLESS             = 51
CONST RMC_XYCHART              = 70
CONST RMC_GRIDBASED            = 10  ' only for tRMC_INFO

' BarSeries styles
CONST RMC_BAR_FLAT              = 1
CONST RMC_BAR_FLAT_GRADIENT1    = 2
CONST RMC_BAR_FLAT_GRADIENT2    = 3
CONST RMC_BAR_HOVER             = 4
CONST RMC_COLUMN_FLAT           = 5
CONST RMC_BAR_3D                = 6
CONST RMC_BAR_3D_GRADIENT       = 7
CONST RMC_COLUMN_3D             = 8
CONST RMC_COLUMN_3D_GRADIENT    = 9
CONST RMC_COLUMN_FLUTED         = 10

' LineSeries styles
CONST RMC_LINE_FLAT              = 21
CONST RMC_LINE_FLAT_DOT          = 19
CONST RMC_LINE_FLAT_DASH         = 18
CONST RMC_LINE_FLAT_DASHDOT      = 17
CONST RMC_LINE_FLAT_DASHDOTDOT   = 16
CONST RMC_LINE_CABLE             = 22
CONST RMC_LINE_3D                = 23
CONST RMC_LINE_3D_GRADIENT       = 24
CONST RMC_AREA_FLAT              = 25
CONST RMC_AREA_FLAT_GRADIENT_V   = 26
CONST RMC_AREA_FLAT_GRADIENT_H   = 27
CONST RMC_AREA_FLAT_GRADIENT_C   = 28
CONST RMC_AREA_3D                = 29
CONST RMC_AREA_3D_GRADIENT_V     = 30
CONST RMC_AREA_3D_GRADIENT_H     = 31
CONST RMC_AREA_3D_GRADIENT_C     = 32
CONST RMC_LINE_FLAT_SHADOW       = 33
CONST RMC_LINE_CABLE_SHADOW      = 34
CONST RMC_LINE_SYMBOLONLY        = 35

' HighLowSeries styles
CONST RMC_OHLC                   = 1
CONST RMC_CANDLESTICK            = 2

' GridlessSeries styles
CONST RMC_PIE_FLAT               = 51
CONST RMC_PIE_GRADIENT           = 52
CONST RMC_PIE_3D                 = 53
CONST RMC_PIE_3D_GRADIENT        = 54
CONST RMC_DONUT_FLAT             = 55
CONST RMC_DONUT_GRADIENT         = 56
CONST RMC_DONUT_3D               = 57
CONST RMC_DONUT_3D_GRADIENT      = 58
CONST RMC_PYRAMIDE               = 59
CONST RMC_PYRAMIDE3              = 60

' XY-Series styles
CONST RMC_XY_LINE                = 70
CONST RMC_XY_LINE_DOT            = 69
CONST RMC_XY_LINE_DASH           = 68
CONST RMC_XY_LINE_DASHDOT        = 67
CONST RMC_XY_LINE_DASHDOTDOT     = 66
CONST RMC_XY_SYMBOL              = 71
CONST RMC_XY_LINESYMBOL          = RMC_XY_LINE
CONST RMC_XY_CABLE               = 73
CONST RMC_XY_CABLESYMBOL         = RMC_XY_CABLE

' Pie and Donut alignments
CONST RMC_FULL                   = 1
CONST RMC_HALF_TOP               = 2
CONST RMC_HALF_RIGHT             = 3
CONST RMC_HALF_BOTTOM            = 4
CONST RMC_HALF_LEFT              = 5

' Line styles for data- and label axes
CONST RMC_LINESTYLESOLID       = 0
CONST RMC_LINESTYLEDASH        = 1
CONST RMC_LINESTYLEDOT         = 2
CONST RMC_LINESTYLEDASHDOT     = 3
CONST RMC_LINESTYLENONE        = 6

' BiColor mode for data- and label axes
CONST RMC_BICOLOR_NONE         = 0
CONST RMC_BICOLOR_DATAAXIS     = 1
CONST RMC_BICOLOR_LABELAXIS    = 2
CONST RMC_BICOLOR_BOTH         = 3  

' Orientation of the data- and label axes
CONST RMC_DATAAXISLEFT         = 1
CONST RMC_DATAAXISRIGHT        = 2
CONST RMC_DATAAXISTOP          = 3
CONST RMC_DATAAXISBOTTOM       = 4
CONST RMC_LABELAXISLEFT        = 5
CONST RMC_LABELAXISRIGHT       = 6
CONST RMC_LABELAXISTOP         = 7
CONST RMC_LABELAXISBOTTOM      = 8
CONST RMC_YAXISLEFT            = 9
CONST RMC_YAXISRIGHT           = 10
CONST RMC_XAXISTOP             = 11
CONST RMC_XAXISBOTTOM          = 12

' Text alignments for the label axis
CONST RMC_TEXTCENTER           = 0
CONST RMC_TEXTLEFT             = 1
CONST RMC_TEXTRIGHT            = 2
CONST RMC_TEXTDOWNWARD         = 3
CONST RMC_TEXTUPWARD           = 4

' LineStyles for line charts
CONST RMC_LSTYLE_LINE            = 1
CONST RMC_LSTYLE_SPLINE          = 2
CONST RMC_LSTYLE_STAIR           = 3
CONST RMC_LSTYLE_LINE_AREA       = 4 ' Draws a line and a transparent area
CONST RMC_LSTYLE_SPLINE_AREA     = 5 ' Draws a spline and a transparent area
CONST RMC_LSTYLE_STAIR_AREA      = 6 ' Draws a stair and a transparent area

' Symbols for line series
' Symbols
CONST RMC_SYMBOL_NONE             = 0
CONST RMC_SYMBOL_BULLET           = 21
CONST RMC_SYMBOL_ROUND            = 1
CONST RMC_SYMBOL_DIAMOND          = 2
CONST RMC_SYMBOL_SQUARE           = 3
CONST RMC_SYMBOL_STAR             = 4
CONST RMC_SYMBOL_ARROW_DOWN       = 5
CONST RMC_SYMBOL_ARROW_UP         = 6
CONST RMC_SYMBOL_POINT            = 7
CONST RMC_SYMBOL_CIRCLE           = 8
CONST RMC_SYMBOL_RECTANGLE        = 9
CONST RMC_SYMBOL_CROSS            = 10
CONST RMC_SYMBOL_BULLET_SMALL     = 22
CONST RMC_SYMBOL_ROUND_SMALL      = 11
CONST RMC_SYMBOL_DIAMOND_SMALL    = 12
CONST RMC_SYMBOL_SQUARE_SMALL     = 13
CONST RMC_SYMBOL_STAR_SMALL       = 14
CONST RMC_SYMBOL_ARROW_DOWN_SMALL = 15
CONST RMC_SYMBOL_ARROW_UP_SMALL   = 16
CONST RMC_SYMBOL_POINT_SMALL      = 17
CONST RMC_SYMBOL_CIRCLE_SMALL     = 18
CONST RMC_SYMBOL_RECTANGLE_SMALL  = 19
CONST RMC_SYMBOL_CROSS_SMALL      = 20

' Hatchmodes
CONST RMC_HATCHBRUSH_OFF          = 0
CONST RMC_HATCHBRUSH_ON           = 1
CONST RMC_HATCHBRUSH_ONPRINTING   = 2


' Orientation for the legend
CONST RMC_LEGEND_NONE          = -1
CONST RMC_LEGEND_TOP           = 1
CONST RMC_LEGEND_LEFT          = 2
CONST RMC_LEGEND_RIGHT         = 3
CONST RMC_LEGEND_BOTTOM        = 4
CONST RMC_LEGEND_UL            = 5
CONST RMC_LEGEND_UR            = 6
CONST RMC_LEGEND_LL            = 7
CONST RMC_LEGEND_LR            = 8
CONST RMC_LEGEND_ONVLABELS     = 9
CONST RMC_LEGEND_CUSTOM        = 10
CONST RMC_LEGEND_CUSTOM_TOP    = 11
CONST RMC_LEGEND_CUSTOM_LEFT   = 12
CONST RMC_LEGEND_CUSTOM_RIGHT  = 13
CONST RMC_LEGEND_CUSTOM_BOTTOM = 14
CONST RMC_LEGEND_CUSTOM_UL     = 15
CONST RMC_LEGEND_CUSTOM_UR     = 16
CONST RMC_LEGEND_CUSTOM_LL     = 17
CONST RMC_LEGEND_CUSTOM_LR     = 18
CONST RMC_LEGEND_CUSTOM_CENTER = 19
CONST RMC_LEGEND_CUSTOM_CR     = 20
CONST RMC_LEGEND_CUSTOM_CL     = 21

' Legendstyle
CONST RMC_LEGENDNORECT         = 1
CONST RMC_LEGENDRECT           = 2
CONST RMC_LEGENDRECTSHADOW     = 3
CONST RMC_LEGENDROUNDRECT      = 4
CONST RMC_LEGENDROUNDRECTSHADOW= 5

' Errors 
CONST RMC_ERROR_MAXINST        = -1
CONST RMC_ERROR_MAXREGION      = -2
CONST RMC_ERROR_MAXSERIES      = -3
CONST RMC_ERROR_ALLOC          = -4
CONST RMC_ERROR_NODATA         = -5
CONST RMC_ERROR_CTRLID         = -6
CONST RMC_ERROR_SERIESINDEX    = -7
CONST RMC_ERROR_CREATEBITMAP   = -8
CONST RMC_ERROR_WRONGREGION    = -9
CONST RMC_ERROR_PARENTHANDLE   = -10
CONST RMC_ERROR_CREATEWINDOW   = -11
CONST RMC_ERROR_INIGDIP        = -12
CONST RMC_ERROR_PRINT          = -13
CONST RMC_ERROR_NOGDIP         = -14  
CONST RMC_ERROR_RMCFILE        = -15
CONST RMC_ERROR_FILEFOUND      = -16
CONST RMC_ERROR_READLINES      = -17
CONST RMC_ERROR_XYAXIS         = -18
CONST RMC_ERROR_LEGENDTEXT     = -19
CONST RMC_ERROR_EMF            = -20
CONST RMC_ERROR_NODATA_COUNT   = -21
CONST RMC_ERROR_NODATA_ZERO    = -22
CONST RMC_ERROR_NOCOLOR        = -23
CONST RMC_ERROR_CLIPBOARD      = -24
CONST RMC_ERROR_CBINFO         = -25
CONST RMC_ERROR_FILECREATE     = -26
CONST RMC_ERROR_DATAINDEX      = -28
CONST RMC_ERROR_AXISALIGNMENT  = -29
CONST RMC_ERROR_RANGE          = -30
CONST RMC_ERROR_WRONGSERIESTYPE= -31
CONST RMC_ERROR_MAXCUSTOM      = -50
CONST RMC_ERROR_CUSTOMINDEX    = -51
CONST RMC_ERROR_LEGENDSIZE     = 1

' Options for Value labels
CONST RMC_VLABEL_NONE          = 0
CONST RMC_VLABEL_DEFAULT       = 1
CONST RMC_VLABEL_PERCENT       = 5
CONST RMC_VLABEL_ABSOLUTE      = 6
CONST RMC_VLABEL_TWIN          = 7
CONST RMC_VLABEL_LEGENDONLY    = 8
CONST RMC_VLABEL_DEFAULT_NOZERO  = 11
CONST RMC_VLABEL_PERCENT_NOZERO  = 15
CONST RMC_VLABEL_ABSOLUTE_NOZERO = 16
CONST RMC_VLABEL_TWIN_NOZERO     = 17


CONST RMC_MOUSEMOVE          = 0x200
CONST RMC_LBUTTONDOWN        = 0x201 
CONST RMC_LBUTTONUP          = 0x202
CONST RMC_LBUTTONDBLCLK      = 0x203
CONST RMC_RBUTTONDOWN        = 0x204
CONST RMC_RBUTTONUP          = 0x205
CONST RMC_RBUTTONDBLCLK      = 0x206
CONST RMC_MBUTTONDOWN        = 0x207
CONST RMC_MBUTTONUP          = 0x208
CONST RMC_MBUTTONDBLCLK      = 0x209
CONST RMC_SHIFTLBUTTONDOWN   = 0x20A
CONST RMC_SHIFTLBUTTONUP     = 0x20B
CONST RMC_SHIFTLBUTTONDBLCLK = 0x20C
CONST RMC_SHIFTRBUTTONDOWN   = 0x20D
CONST RMC_SHIFTRBUTTONUP     = 0x20E
CONST RMC_SHIFTRBUTTONDBLCLK = 0x20F
CONST RMC_SHIFTMBUTTONDOWN   = 0x210
CONST RMC_SHIFTMBUTTONUP     = 0x211
CONST RMC_SHIFTMBUTTONDBLCLK = 0x212
CONST RMC_CTRLLBUTTONDOWN    = 0x213
CONST RMC_CTRLLBUTTONUP      = 0x214
CONST RMC_CTRLLBUTTONDBLCLK  = 0x215
CONST RMC_CTRLRBUTTONDOWN    = 0x216
CONST RMC_CTRLRBUTTONUP      = 0x217
CONST RMC_CTRLRBUTTONDBLCLK  = 0x218
CONST RMC_CTRLMBUTTONDOWN    = 0x219
CONST RMC_CTRLMBUTTONUP      = 0x21A
CONST RMC_CTRLMBUTTONDBLCLK  = 0x21B

CONST RMC_EMF        = 1
CONST RMC_EMFPLUS    = 2
CONST RMC_BMP        = 3


' Custom Objects
CONST RMC_CO_TEXT          = 1
CONST RMC_CO_BOX           = 2
CONST RMC_CO_CIRCLE        = 3
CONST RMC_CO_LINE          = 4
CONST RMC_CO_IMAGE         = 5
CONST RMC_CO_SYMBOL        = 6
CONST RMC_CO_POLYGON       = 7


' Anchors for custom lines
CONST RMC_ANCHOR_NONE         = 0
CONST RMC_ANCHOR_ROUND        = 1
CONST RMC_ANCHOR_BULLET       = 2
CONST RMC_ANCHOR_ARROW_CLOSED = 3
CONST RMC_ANCHOR_ARROW_OPEN   = 4

' Line alignment for custom text
CONST RMC_LINE_HORIZONTAL    = 0
CONST RMC_LINE_UPWARD        = 1
CONST RMC_LINE_DOWNWARD      = 3

' Styles for custom box/text
CONST RMC_BOX_NONE                = 0
CONST RMC_BOX_FLAT                = 1
CONST RMC_BOX_ROUNDEDGE           = 2
CONST RMC_BOX_RHOMBUS             = 3
CONST RMC_BOX_GRADIENTH           = 4
CONST RMC_BOX_GRADIENTV           = 5
CONST RMC_BOX_3D                  = 6
CONST RMC_BOX_FLAT_SHADOW         = 7
CONST RMC_BOX_GRADIENTH_SHADOW    = 8
CONST RMC_BOX_GRADIENTV_SHADOW    = 9
CONST RMC_BOX_3D_SHADOW           = 10

' Styles for custom Circle
CONST RMC_CIRCLE_FLAT             = 1
CONST RMC_CIRCLE_BULLET           = 2



$PACK(push,1)

TYPE tRMC_INFO
    nXPos        AS LONG     
    nYPos        AS LONG
    nXMove       AS LONG
    nYMove       AS LONG 
    nRegionIndex AS LONG     
    nRLeft       AS LONG
    nRTop        AS LONG
    nRRight      AS LONG
    nRBottom     AS LONG
    nSeriesIndex AS LONG     
    nDataIndex   AS LONG     
    nChartType   AS LONG
    nSLeft       AS LONG     
    nSTop        AS LONG     
    nSRight      AS LONG     
    nSBottom     AS LONG     
    nSTop2       AS LONG     
    nSBottom2    AS LONG     
    nGLeft       AS LONG     
    nGTop        AS LONG     
    nGRight      AS LONG     
    nGBottom     AS LONG     
    nGCol        AS LONG     
    nGRow        AS LONG     
    nData1       AS DOUBLE   
    nData2       AS DOUBLE   
    nData3       AS DOUBLE   
    nData4       AS DOUBLE   
    nVirtData1   AS DOUBLE   
    nVirtData2   AS DOUBLE   
    nVirtData3   AS DOUBLE   
    nVirtData4   AS DOUBLE   
END TYPE    

' Type declarations for the short function calls 
' (those with an 'I' at the end of the name, like RMC_CreateChartI())

' ***** RMC_AddBarSeriesI() *****
TYPE tRMC_BARSERIES
    nType               AS LONG
    nStyle              AS LONG
    nIsLucent           AS LONG
    nColor              AS LONG
    nIsHorizontal       AS LONG
    nWhichDataAxis      AS LONG
    nValueLabelOn       AS LONG
    nPointsPerColumn    AS LONG
    nHatchMode          AS LONG
END TYPE
' *****************************

' ***** RMC_AddCaptionI() *****
TYPE tRMC_CAPTION
    nBackColor  AS LONG
    nTextColor  AS LONG         
    nFontSize   AS LONG         
    nIsBold     AS LONG         
    sText[200]  AS CHAR
END TYPE    
' *****************************

' ***** RMC_AddDataAxisI() *****
TYPE tRMC_DATAAXIS
    nAlignment      AS LONG
    nMinValue       AS DOUBLE
    nMaxValue       AS DOUBLE
    nTickCount      AS LONG
    nFontsize       AS LONG
    nTextColor      AS LONG
    nLineColor      AS LONG
    nLineStyle      AS LONG
    nDecimalDigits  AS LONG
    nLabelAlignment AS LONG
    sUnit[16]       AS CHAR
    sText[100]      AS CHAR
    sLabels[500]      AS CHAR
END TYPE    
' *********************************

' ***** RMC_AddGridI() *****
TYPE tRMC_GRID
    nGridBackColor AS LONG
    nAsGradient    AS LONG
    nBicolor       AS LONG
    nLeft          AS LONG
    nTop           AS LONG
    nWidth         AS LONG
    nHeight        AS LONG
END TYPE    
' ************************

' RMC_AddGridlessSeries() *****
TYPE tRMC_GRIDLESSSERIES
    nStyle              AS LONG
    nPieAlignment       AS LONG
    nExplodemode        AS LONG
    nIsLucent           AS LONG
    nValueLabelOn       AS LONG
    nHatchMode          AS LONG
    nStartAngle         AS LONG
END TYPE
' *****************************

' ***** RMC_AddLabelAxisI() *****
TYPE tRMC_LABELAXIS    
    nCount          AS LONG
    nTickCount      AS LONG
    nAlignment      AS LONG
    nFontsize       AS LONG
    nTextColor      AS LONG
    nTextAlignment  AS LONG
    nLineColor      AS LONG
    nLineStyle      AS LONG
    sText[100]      AS CHAR
END TYPE    
' *************************

' ***** RMC_AddLegendI() *****
TYPE tRMC_LEGEND
    nLegendAlign     AS LONG
    nLegendBackColor AS LONG
    nLegendStyle     AS LONG
    nLegendTextColor AS LONG
    nLegendFontSize  AS LONG
    nLegendIsBold    AS LONG
END TYPE
'***************************

' ***** RMC_AddLineSeriesI(), RMC_AddLineSeries2I() *****
TYPE tRMC_LINESERIES
    nType               AS LONG
    nStyle              AS LONG
    nLineStyle          AS LONG
    nIsLucent           AS LONG
    nColor              AS LONG                          
    nSeriesSymbol       AS LONG
    nWhichDataAxis      AS LONG
    nValueLabelOn       AS LONG
    nHatchMode          AS LONG    
END TYPE    
' *********************************

' ***** RMC_AddRegionI: *****
TYPE tRMC_REGION
    nTop        AS LONG 
    nLeft       AS LONG
    nWidth      AS LONG
    nHeight     AS LONG
    sFooter[200] AS CHAR
    nShowBorder AS LONG
END TYPE    
' *****************************

' ***** RMC_AddXAxisI(), RMC_AddYAxisI() *****
TYPE tRMC_XYAXIS
    nAlignment      AS LONG
    nMinValue       AS DOUBLE
    nMaxValue       AS DOUBLE
    nTickCount      AS LONG
    nFontsize       AS LONG
    nTextColor      AS LONG
    nLineColor      AS LONG
    nLineStyle      AS LONG
    nDecimalDigits  AS LONG
    nLabelAlignment AS LONG
    sUnit[16]       AS CHAR
    sText[100]      AS CHAR
    sLabels[500]    AS CHAR
END TYPE    
' *********************************

' ***** RMC_CreateChartI: *****
TYPE tRMC_CHART
    nTop        AS LONG 
    nLeft       AS LONG
    nWidth      AS LONG
    nHeight     AS LONG
    nBackColor  AS LONG
    nCtrlStyle  AS LONG
    nExportOnly AS LONG
    sBgImage[100] AS CHAR
    sFontName[50] AS CHAR
    nToolTipWidth AS LONG
    nBitmapBKColor  AS LONG
END TYPE    
' *********************

' ***** RMC_AddXYSeriesI() *****
TYPE tRMC_XYSERIES
    nColor              AS LONG                          
    nStyle              AS LONG
    nLineStyle          AS LONG
    nSeriesSymbol       AS LONG
    nWhichXAxis         AS LONG
    nWhichYAxis         AS LONG
    nValueLabelOn       AS LONG    
END TYPE    
' *********************************
$PACK(pop)

' Functions

DECLARE FUNCTION RMC_AddBarSeries LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _                                          
                 nType  AS LONG, _ 
                 nStyle AS LONG, _ 
                 nIsLucent AS LONG, _
                 nColor AS LONG, _
                 nIsHorizontal AS LONG, _
                 nWhichDataAxis AS LONG, _
                 nValueLabelOn AS LONG, _
                 nPointsPerColumn AS LONG, _
                 nHatchMode AS LONG _
                 ) AS LONG       
DECLARE FUNCTION RMC_AddBarSeriesI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _  
                 T AS tRMC_BARSERIES PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_AddCaption LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _ 
                 sCaption AS LPSTR, _
                 nTitelBackColor AS LONG, _
                 nTitelTextColor AS LONG, _
                 nTitelFontSize AS LONG, _
                 nTitelIsBold AS LONG _
                 ) AS LONG
DECLARE FUNCTION RMC_AddCaptionI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 T AS tRMC_CAPTION PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_AddDataAxis LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nAlignment AS LONG, _
                 nMinValue AS DOUBLE, _
                 nMaxValue AS DOUBLE, _
                 nTickCount AS LONG, _
                 nFontsize AS LONG, _
                 nTextColor AS LONG, _
                 nLineColor AS LONG, _
                 nLineStyle AS LONG, _
                 nNoDecimalPoint AS LONG, _
                 sUnit AS LPSTR, _
                 sText AS LPSTR, _
                 sLabels AS LPSTR, _
		     nLabelAlignment AS LONG _	
                 ) AS LONG
DECLARE FUNCTION RMC_AddDataAxisI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 T AS tRMC_DATAAXIS PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_AddGrid LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nBackColor AS LONG, _
                 nAsGradient AS LONG, _
                 nLeft AS LONG, _
                 nTop AS LONG, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 nBiColor AS LONG _
                 ) AS LONG
DECLARE FUNCTION RMC_AddGridI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 T AS tRMC_GRID PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_AddGridlessSeries LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _                                       
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _                  
                 nFirstColorElement AS LONG PTR, _
                 nColorElementsCount AS LONG, _
                 nStyle  AS LONG, _         
                 nPieAlignment  AS LONG, _         
                 nExplodemode AS LONG, _ 
                 nIsLucent AS LONG, _
                 nValueLabelOn AS LONG, _
                 nHatchMode AS LONG, _
                 nStartAngle AS LONG _
                 ) AS LONG
DECLARE FUNCTION RMC_AddGridlessSeriesI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _                  
                 nFirstColorElement AS LONG PTR, _
                 nColorElementsCount AS LONG, _
                 T AS tRMC_GRIDLESSSERIES PTR _
                 ) AS LONG                      
                 
DECLARE FUNCTION RMC_AddHighLowSeries LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _                      
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _                  
                 nFirstPPCValue AS LONG PTR, _
                 nPPCValuesCount AS LONG, _
                 nStyle AS LONG, _
                 nWhichDataAxis AS LONG, _
                 nColorLow AS LONG, _
                 nColorHigh AS LONG _                 
                 ) AS LONG
                          
DECLARE FUNCTION RMC_AddLabelAxis LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sLabel AS LPSTR, _     
                 nCount AS LONG, _
                 nTickCount AS LONG, _
                 nAlignment AS LONG, _
                 nFontsize AS LONG, _
                 nTextColor AS LONG, _
                 nTextAlignment AS LONG, _
                 nLineColor AS LONG, _
                 nLineStyle AS LONG, _
                 sText AS LPSTR _                 
                 ) AS LONG
DECLARE FUNCTION RMC_AddLabelAxisI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sLabel AS LPSTR, _
                 T AS tRMC_LABELAXIS PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_AddLegend LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sLegendText AS LPSTR, _    
                 nLegendAlign AS LONG, _
                 nLegendBackColor AS LONG, _
                 nLegendStyle AS LONG, _                 
                 nLegendTextColor AS LONG, _
                 nLegendFontSize AS LONG, _
                 nLegendIsBold AS LONG _
                 ) AS LONG
DECLARE FUNCTION RMC_AddLegendI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sLegendText AS LPSTR, _                     
                 T AS tRMC_LEGEND PTR _
                 ) AS LONG                                                      

DECLARE FUNCTION RMC_AddLineSeries LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _                      
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _
                 nFirstPPCValue AS LONG PTR, _
                 nPPCValuesCount AS LONG, _
                 nChartType  AS LONG, _         
                 nStyle AS LONG, _ 
                 nLineStyle AS LONG, _ 
                 nIsLucent AS LONG, _
                 nColor AS LONG, _                          
                 nChartSymbol AS LONG, _    
                 nWhichDataAxis AS LONG, _
                 nValueLabelOn AS LONG, _
                 nHatchMode AS LONG _
                 ) AS LONG
DECLARE FUNCTION RMC_AddLineSeriesI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _
                 nFirstPPCValue AS LONG PTR, _
                 nPPCValuesCount AS LONG, _
                 T AS tRMC_LINESERIES PTR _
                 )  AS LONG

DECLARE FUNCTION RMC_AddRegion LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nLeft AS LONG, _
                 nTop  AS LONG, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 sFooter AS LPSTR, _
                 nShowBorder AS LONG _
                 ) AS LONG
DECLARE FUNCTION RMC_AddRegionI LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 T AS tRMC_REGION PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_AddToolTips LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 hWnd AS LONG, _
                 nToolTipWidth AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_AddVolumeBarSeries LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _                      
                 nRegion AS LONG, _
                 nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _
                 nFirstPPCValue AS LONG PTR, _
                 nPPCValuesCount AS LONG, _
                 nColor AS LONG, _
                 nWhichDataAxis AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_AddXAxis LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nRegion AS LONG, _
                    nAlignment AS LONG, _
                    nMinValue AS DOUBLE, _
                    nMaxValue AS DOUBLE, _
                    nTickCount AS LONG, _
                    nFontsize AS LONG, _
                    nTextColor AS LONG, _
                    nLineColor AS LONG, _
                    nLineStyle AS LONG, _
                    nNoDecimalPoint AS LONG, _
                    sUnit      AS LPSTR, _
                    sText AS LPSTR, _
                    sLabels as LPSTR, _
                    nLabelAlignment AS LONG _
                    ) AS LONG
DECLARE FUNCTION RMC_AddXAxisI LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nRegion AS LONG, _
                    T AS tRMC_XYAXIS PTR _
                    ) AS LONG

DECLARE FUNCTION RMC_AddYAxis LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nRegion AS LONG, _
                    nAlignment AS LONG, _
                    nMinValue AS DOUBLE, _
                    nMaxValue AS DOUBLE, _
                    nTickCount AS LONG, _
                    nFontsize AS LONG, _
                    nTextColor AS LONG, _
                    nLineColor AS LONG, _
                    nLineStyle AS LONG, _
                    nNoDecimalPoint AS LONG, _
                    sUnit      AS LPSTR, _
                    sText AS LPSTR, _
                    sLabels as LPSTR, _
                    nLabelAlignment AS LONG _
                    ) AS LONG                    
DECLARE FUNCTION RMC_AddYAxisI LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nRegion AS LONG, _
                    T AS tRMC_XYAXIS PTR _
                    ) AS LONG                 

DECLARE FUNCTION RMC_AddXYSeries LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _                      
                 nRegion AS LONG, _
                 nFirstXDataValue AS DOUBLE PTR, _
                 nDataXValuesCount AS LONG, _                 
                 nFirstYDataValue AS DOUBLE PTR, _
                 nDataYValuesCount AS LONG, _                  
                 nColor AS LONG, _                          
                 nStyle AS LONG, _ 
                 nLineStyle AS LONG, _ 
                 nSymbolStyle AS LONG, _    
                 nWhichXAxis AS LONG, _ 
                 nWhichYAxis AS LONG, _ 
                 nValueLabelOn AS LONG _
                 ) AS LONG                    
DECLARE FUNCTION RMC_AddXYSeriesI LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nRegion AS LONG, _
                    nFirstXDataValue AS DOUBLE PTR, _
                    nDataXValuesCount AS LONG, _                 
                    nFirstYDataValue AS DOUBLE PTR, _
                    nDataYValuesCount AS LONG, _                     
                    T AS tRMC_XYSERIES PTR _
                    ) AS LONG

DECLARE FUNCTION RMC_CalcAverage LIB "RMCHART.DLL" ( _
                   nCtrlId AS LONG, _
                   nRegion AS LONG, _
                   nSeriesIndex AS LONG, _                   
                   nAverage AS DOUBLE PTR, _
                   nXStart AS LONG PTR, _
                   nYStart AS LONG PTR, _
                   nXEnd AS LONG PTR, _
                   nYEnd AS LONG PTR, _
                   sHighLowIndex AS LPSTR _
                   ) AS LONG


DECLARE FUNCTION RMC_CalcTrend LIB "RMCHART.DLL" ( _
                   nCtrlId AS LONG, _
                   nRegion AS LONG, _
                   nSeriesIndex AS LONG, _                   
                   nFirstValue AS DOUBLE PTR, _
                   nLastValue AS DOUBLE PTR, _
                   nXStart AS LONG PTR, _
                   nYStart AS LONG PTR, _
                   nXEnd AS LONG PTR, _
                   nYEnd AS LONG PTR, _
                   sHighLowIndex AS LPSTR _
                   ) AS LONG
                   
DECLARE FUNCTION RMC_COBox LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nCOIndex AS LONG, _
                    nLeft AS LONG, _
                    nTop AS LONG, _
                    nWidth AS LONG, _
                    nHeight AS LONG, _
                    nStyle AS LONG, _
                    nBGColor AS LONG, _
                    nLineColor AS LONG, _
                    nTransparency AS LONG _
                    ) AS LONG

DECLARE FUNCTION RMC_COCircle LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nCOIndex AS LONG, _
                    nXCenter AS LONG, _
                    nYCenter AS LONG, _
                    nWidth AS LONG, _
                    nStyle AS LONG, _
                    nBGColor AS LONG, _
                    nLineColor AS LONG, _
                    nTransparency AS LONG _
                    ) AS LONG                    

DECLARE FUNCTION RMC_CODash LIB "RMCHART.DLL" ( _
                    nCtrlId AS LONG, _
                    nCOIndex AS LONG, _
                    nXStart AS LONG, _
                    nYStart AS LONG, _
                    nXEnd AS LONG, _
                    nYEnd AS LONG, _
                    nStyle AS LONG, _
                    nColor AS LONG, _
                    nAsSpline AS LONG, _
                    nLineWidth AS LONG, _
                    nStartCap AS LONG, _
                    nEndCap AS LONG _
                    ) AS LONG

DECLARE FUNCTION RMC_CODelete LIB "RMCHART.DLL" ( _
                    nCtrlId AS LONG, _
                    nIndex AS LONG _
                    ) AS LONG

DECLARE FUNCTION RMC_COGetTextWH LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nIndex AS LONG, _
              	  nWH AS LONG PTR _
                    ) AS LONG

DECLARE FUNCTION RMC_COImage LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nCOIndex AS LONG, _
                    sImagePath AS LPSTR, _
                    nLeft AS LONG, _
                    nTop AS LONG, _
                    nWidth AS LONG, _
                    nHeight AS LONG _
                    ) AS LONG                    

DECLARE FUNCTION RMC_COLine LIB "RMCHART.DLL" ( _
                    nCtrlId AS LONG, _
                    nCOIndex AS LONG, _
                    nXPoints AS LONG PTR, _
                    nYPoints AS LONG PTR, _
                    nPointsCount AS LONG, _                         
                    nStyle AS LONG, _
                    nColor AS LONG, _
                    nAsSpline AS LONG, _
                    nLineWidth AS LONG, _
                    nStartCap AS LONG, _
                    nEndCap AS LONG _
                    ) AS LONG                     

DECLARE FUNCTION RMC_COPolygon LIB "RMCHART.DLL" ( _
                    nCtrlId AS LONG, _
                    nCOIndex AS LONG, _
                    nXPoints AS LONG PTR, _
                    nYPoints AS LONG PTR, _
                    nPointsCount AS LONG, _                         
                    nBGColor AS LONG, _
                    nLineColor AS LONG, _
                    nAsSpline AS LONG, _                    
                    nTransparency AS LONG _
                    ) AS LONG

DECLARE FUNCTION RMC_COSymbol LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nCOIndex AS LONG, _
                    nXCenter AS LONG, _
                    nYCenter AS LONG, _
                    nStyle AS LONG, _
                    nColor AS LONG _
                    ) AS LONG                    

DECLARE FUNCTION RMC_COText LIB "RMCHART.DLL" ( _
                    nCtrlID AS LONG, _
                    nCOIndex AS LONG, _
                    sText AS LPSTR, _
                    nLeft AS LONG, _
                    nTop AS LONG, _
                    nWidth AS LONG, _
                    nHeight AS LONG, _
                    nStyle AS LONG, _
                    nBGColor AS LONG, _
                    nLineColor AS LONG, _
                    nTransparency AS LONG, _
                    nLineAlignment AS LONG, _
                    nTextColor AS LONG, _
                    sTextProperties AS LPSTR _
                    ) AS LONG
                    
DECLARE FUNCTION RMC_COVisible LIB "RMCHART.DLL" ( _
                    nCtrlId AS LONG, _
                    nIndex AS LONG, _
                    Hide AS LONG _
                    ) AS LONG

DECLARE FUNCTION RMC_CreateChart LIB "RMCHART.DLL" ( _
                 nParentHndl AS HWND, _
                 nCtrlId AS LONG, _
                 nX AS LONG, _
                 nY AS LONG, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 nBackColor AS LONG, _
                 nCtrlStyle AS LONG, _
                 nExportOnly AS LONG, _
                 sBgImage AS LPSTR, _
                 sFontName AS LPSTR, _
                 nToolTipWidth AS LONG, _
                 nBitmapBKColor AS LONG _
                 ) AS LONG 
DECLARE FUNCTION RMC_CreateChartI LIB "RMCHART.DLL" ( _
                 nParentHndl AS HWND, _
                 nCtrlID AS LONG, _
                 T AS tRMC_CHART PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_CreateChartFromFile LIB "RMCHART.DLL" ( _
                 nParentHndl AS HWND, _
                 nCtrlId AS LONG, _
                 nX AS LONG, _
                 nY AS LONG, _
                 nExportOnly AS LONG, _
                 sRMCFile AS LPSTR _
                 ) AS LONG                                    

DECLARE FUNCTION RMC_CreateChartOnDC LIB "RMCHART.DLL" ( _
                 nParentDC AS LONG, _
                 nCtrlId AS LONG, _
                 nX AS LONG, _
                 nY AS LONG, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 nBackColor AS LONG, _
                 nCtrlStyle AS LONG, _
                 nExportOnly AS LONG, _                 
                 sBgImage AS LPSTR, _
                 sFontName AS LPSTR, _                 
                 nBitmapBKColor AS LONG _
                 ) AS LONG 
DECLARE FUNCTION RMC_CreateChartOnDCI LIB "RMCHART.DLL" ( _
                 nParentDC AS LONG, _
                 nCtrlID AS LONG, _
                 T AS tRMC_CHART PTR _
                 ) AS LONG
                 
DECLARE FUNCTION RMC_CreateChartFromFileOnDC LIB "RMCHART.DLL" ( _
                 nParentDC AS LONG, _
                 nCtrlId AS LONG, _
                 nX AS LONG, _
                 nY AS LONG, _
                 nExportOnly AS LONG, _
                 sRMCFile AS LPSTR _
                 ) AS LONG                   

DECLARE FUNCTION RMC_DeleteChart LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_Draw LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_Draw2Clipboard LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nType AS LONG _
                 ) AS LONG
                 
DECLARE FUNCTION RMC_Draw2File LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 sFileName AS LPSTR, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 nJPGQualityLevel AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_Draw2Printer LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nPrinterDC AS HDC, _
                 nLeft AS LONG, _
                 nTop AS LONG, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 nType AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_GetChartsizeFromFile LIB "RMCHART.DLL" ( _
                 sRMCFile AS LPSTR, _
                 nWidth AS LONG PTR, _
                 nHeight AS LONG PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_GetImageSizeFromFile LIB "RMCHART.DLL" ( _
                 sImagePath AS LPSTR, _
                 nWidth AS LONG PTR, _
                 nHeight AS LONG PTR _
                 ) AS LONG                 

DECLARE FUNCTION RMC_GetINFO LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 TINFO AS tRMC_INFO PTR, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _ 
                 nIndex AS LONG _
                 ) AS LONG
                 
DECLARE FUNCTION RMC_GetINFOXY LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 TINFO AS tRMC_INFO PTR, _
                 nX AS LONG, _
                 nY AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_GetCtrlLeft LIB "RMCHART.DLL" ( _  
                 nCtrlID AS LONG _
                 ) AS LONG
                 
DECLARE FUNCTION RMC_GetCtrlTop LIB "RMCHART.DLL" ( _  
                 nCtrlID AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_GetCtrlWidth LIB "RMCHART.DLL" ( _  
                 nCtrlID AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_GetCtrlHeight LIB "RMCHART.DLL" ( _  
                 BYVAL nCtrlID AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_GetData LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeriesIndex AS LONG, _
                 nDataIndex AS LONG, _
                 nData AS DOUBLE PTR, _
                 nYData AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_GetDataCount LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeriesIndex AS LONG, _
                 nDataCount AS LONG PTR _
                 ) AS LONG                 

DECLARE FUNCTION RMC_GetDataLocation LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeriesIndex AS LONG, _
                 nData AS DOUBLE, _
                 nXYPos AS LONG PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_GetDataLocationXY LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeriesIndex AS LONG, _
                 nDataX AS DOUBLE, _
                 nDataY AS DOUBLE, _
                 nXPos AS LONG PTR, _
                 nYPos AS LONG PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_GetVersion LIB "RMCHART.DLL"() AS DOUBLE

DECLARE FUNCTION RMC_GetGridLocation LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nLeft AS LONG PTR, _
                 nTop AS LONG PTR, _
                 nRight AS LONG PTR, _
                 nBottom AS LONG PTR _
                 ) AS LONG

DECLARE FUNCTION RMC_Paint LIB "RMCHART.DLL" (nCtrlID AS LONG) AS LONG

DECLARE FUNCTION RMC_ReadDataFromFile LIB "RMCHART.DLL" ( _
                 BYREF aData[] AS DOUBLE, _
                 sFileName$, _
                 sLines$, _
                 sFields$, _
                 sFieldDelimiter$, _
                 nReverse AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_ReadStringFromFile LIB "RMCHART.DLL" ( _
                 sValue[] AS LPSTR, _
                 sFileName$, _
                 sLines$, _
                 sFields$, _
                 sFieldDelimiter$, _
                 nReverse AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_Reset LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SaveBMP LIB "RMCHART.DLL" ( _
                 hBmp AS LONG, _ 
                 sFileName AS LPSTR _
                 ) AS LONG            

DECLARE FUNCTION RMC_SetCaptionText LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sText AS LPSTR _
                 ) AS LONG
                 
DECLARE FUNCTION RMC_SetCaptionBGColor LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nColor AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetCaptionTextColor LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nColor AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetCaptionFontSize LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFontSize AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetCaptionFontBold LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFontBold AS LONG _
                 ) AS LONG                 
                 
DECLARE FUNCTION RMC_SetCtrlBGColor LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nColor AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetCtrlBGImage LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 sBgImage AS LPSTR _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetCtrlFont  LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 sFontName AS LPSTR _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetCtrlPos LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nLeft AS LONG, _
                 nTop AS LONG, _
                 nRelative AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetCtrlSize LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nWidth AS LONG, _
                 nHeight AS LONG, _
                 nRelative AS LONG _
                  ) AS LONG                 

DECLARE FUNCTION RMC_SetCtrlStyle LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nStyle AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetCustomToolTipText LIB "RMCHART.DLL" ( _
                  nCtrlId AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nDataIndex AS LONG, _
                  sText AS LPSTR _
                  ) AS LONG                 
                  
DECLARE FUNCTION RMC_SetDAXAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nAlignment AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetDAXDecimalDigits LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nDecimalDigits AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetDAXFontSize LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nFontSize AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetDAXLineColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetDAXLineStyle LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nStyle AS LONG _
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetDAXMaxValue LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nMaxValue AS DOUBLE, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetDAXMinValue LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nMinValue AS DOUBLE, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetDAXText LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sText AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetDAXTextColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetDAXTickcount LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nTickCount AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetDAXUnit LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sUnit AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetGridBGColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetGridBiColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nBiColor AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetGridGradient LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nHasGradient AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetGridMargin LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nLeft AS LONG, _
                  nTop  AS LONG, _
                  nWidth AS LONG, _
                  nHeight AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetHelpingGrid LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nSize AS LONG, _
                  nGridColor AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLAXAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nAlignment AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLAXCount LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nLabelAxisCount AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLAXFontSize LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nFontSize AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetLAXLabelAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nAlignment AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLAXLabels LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sLabels AS LPSTR _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLAXLineColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetLAXLineStyle LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nStyle AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLAXText LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sText AS LPSTR _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetLAXTextColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetLAXTickCount LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nTickCount AS LONG _
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetLegendAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nAlignment AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLegendBGColor LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nColor AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetLegendFontBold LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFontBold AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetLegendFontSize LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nFontSize AS LONG _
                  ) AS LONG                 

DECLARE FUNCTION RMC_SetLegendHide LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nHide AS LONG _
                 )  AS LONG                  
                  
DECLARE FUNCTION RMC_SetLegendStyle LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nStyle AS LONG _
                  ) AS LONG                 

DECLARE FUNCTION RMC_SetLegendText LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sLegendText AS LPSTR _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetLegendTextColor LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nColor AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetRegionFooter LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 sFooter AS LPSTR _
                  ) AS LONG

DECLARE FUNCTION RMC_SetRegionMargin LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nLeft AS LONG, _
                  nTop  AS LONG, _
                  nWidth AS LONG, _
                  nHeight AS LONG _
                  ) AS LONG     
                  
DECLARE FUNCTION RMC_SetRegionBorder LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nShowBorder AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetRMCFile LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                   sRMCFile AS LPSTR _      
                  ) AS LONG

DECLARE FUNCTION RMC_SetSeriesColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nColor AS LONG, _
                  nIndex AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetSeriesExplodeMode LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nExplodeMode AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetSeriesData LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nData AS DOUBLE PTR, _
                 nDataCount AS LONG, _                     
                 nYData AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetSeriesDataFile LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 sFileName AS LPSTR, _
                 sLines AS LPSTR, _
                 sFields AS LPSTR, _
                 sFieldDelimiter AS LPSTR, _
                 nYData AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetSeriesSingleData LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nData AS DOUBLE, _
                 nDataIndex AS LONG, _                     
                 nYData AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetSeriesStartAngle LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nStartAngle AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetSeriesDataAxis LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nWhichAxis AS LONG _
                 ) AS LONG                 
                 
DECLARE FUNCTION RMC_SetSeriesHatchMode LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nHatchMode AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetSeriesHide LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nHide AS LONG _
                  ) AS LONG                                    
                  
DECLARE FUNCTION RMC_SetSeriesLinestyle LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nLinestyle AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetSeriesLucent LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nLucent AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetSeriesPPColumn LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nPointsPerColumn AS LONG _
                 ) AS LONG
                 
DECLARE FUNCTION RMC_SetSeriesPPColumnArray LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nFirstPPCValue AS LONG PTR, _
                 nPPCValuesCount AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetSeriesVertical LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nVertical AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetSeriesStyle LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nStyle AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetSeriesSymbol LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nSymbol AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetSeriesValuelabel LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nSeries AS LONG, _
                  nValuelabel AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetSeriesXAxis LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nWhichXAxis AS LONG _
                 ) AS LONG                               
                     
DECLARE FUNCTION RMC_SetSeriesYAxis LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 nSeries AS LONG, _
                 nWhichYAxis AS LONG _
                 ) AS LONG                               

DECLARE FUNCTION RMC_SetSingleBarColors  LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _                      
                 nRegion AS LONG, _
                 nColor AS LONG PTR, _
                 nColorCount AS LONG _
                 ) AS LONG                 

DECLARE FUNCTION RMC_SetToolTipWidth LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nWidth AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_SetWatermark LIB "RMCHART.DLL" ( _
                  sWaterMark AS LPSTR, _
                 nWMColor AS LONG, _
                 nWMLucentValue AS LONG, _
                 nAlignment AS LONG, _
                 nFontSize AS LONG _
                 ) AS LONG                                                                

DECLARE FUNCTION RMC_SetXAXAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nAlignment AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                 

DECLARE FUNCTION RMC_SetYAXAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nAlignment AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                        

DECLARE FUNCTION RMC_SetXAXDecimalDigits LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nDecimalDigits AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetYAXDecimalDigits LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nDecimalDigits AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetXAXFontSize LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nFontSize AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetYAXFontSize LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nFontSize AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetXAXLabels LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sLabels AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetYAXLabels LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sLabels AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG  
                  
DECLARE FUNCTION RMC_SetXAXLabelAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nLabelAlignment AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                                  

DECLARE FUNCTION RMC_SetYAXLabelAlignment LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nLabelAlignment AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                                                    

DECLARE FUNCTION RMC_SetXAXLineColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG, _
                  nAxisIndex AS LONG _                                    
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetYAXLineColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG, _
                  nAxisIndex AS LONG _                                    
                  ) AS LONG                  
                 
DECLARE FUNCTION RMC_SetXAXLineStyle LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nStyle AS LONG, _
                  nAxisIndex AS LONG _                                                      
                  ) AS LONG

DECLARE FUNCTION RMC_SetYAXLineStyle LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nStyle AS LONG, _
                  nAxisIndex AS LONG _                                                      
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetXAXMaxValue LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nMaxValue AS DOUBLE, _
                  nAxisIndex AS LONG _
                  ) AS LONG                       
                  
DECLARE FUNCTION RMC_SetYAXMaxValue LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nMaxValue AS DOUBLE, _
                  nAxisIndex AS LONG _
                  ) AS LONG                       

DECLARE FUNCTION RMC_SetXAXMinValue LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nMinValue AS DOUBLE, _
                  nAxisIndex AS LONG _
                  ) AS LONG                       
                  
DECLARE FUNCTION RMC_SetYAXMinValue LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nMinValue AS DOUBLE, _
                  nAxisIndex AS LONG _
                  ) AS LONG                                         

DECLARE FUNCTION RMC_SetXAXText LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sText AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetYAXText LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sText AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG

DECLARE FUNCTION RMC_SetXAXTextColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG, _
                  nAxisIndex AS LONG _                  
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetYAXTextColor LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nColor AS LONG, _
                  nAxisIndex AS LONG _                  
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetXAXTickcount LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nTickCount AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG
                  
DECLARE FUNCTION RMC_SetYAXTickcount LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  nTickCount AS LONG, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  
                  
DECLARE FUNCTION RMC_SetXAXUnit LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sUnit AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG                  

DECLARE FUNCTION RMC_SetYAXUnit LIB "RMCHART.DLL" ( _
                  nCtrlID AS LONG, _
                  nRegion AS LONG, _
                  sUnit AS LPSTR, _
                  nAxisIndex AS LONG _
                  ) AS LONG                                    

DECLARE FUNCTION RMC_ShowToolTips LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 nX AS LONG, _
                 nY AS LONG _
                 ) AS LONG

DECLARE FUNCTION RMC_Split LIB "RMCHART.DLL" ( _
                 sData$, _
                 asData[] AS LPSTR _
                 ) AS LONG                           

DECLARE FUNCTION RMC_Split2Double LIB "RMCHART.DLL" ( _
                 sData$, _
                 aData[] AS DOUBLE _
                 ) AS LONG                 
                 
DECLARE FUNCTION RMC_Split2Long LIB "RMCHART.DLL" ( _
                 sData$, _
                 aData[] AS LONG _
                 ) AS LONG         

DECLARE FUNCTION RMC_WriteRMCFile LIB "RMCHART.DLL" ( _
                 nCtrlID AS LONG, _
                 sFileName AS LPSTR _
                 ) AS LONG                 


' If you want to stamp your own watermark, put here 
' your individual watermark and properties for the watermark (WM). 
' See the help file for more informations.   
CONST RMC_USERWM = ""                     ' Your watermark
CONST RMC_USERWMCOLOR = ColorBlack        ' Color for the watermark
CONST RMC_USERWMLUCENT = 30               ' Lucent factor between 1(=not visible) and 255(=opaque)
CONST RMC_USERWMALIGN = RMC_TEXTCENTER    ' Alignment for the watermark
CONST RMC_USERFONTSIZE = 0                ' Fontsize; if 0: maximal size is used
' ******************************************************************
